/* Header e navegação */
header {
    background-color: #FFFFFF;
    padding: 30px 60px;
    position: relative;
    width: 100%;
    top: 0;
    z-index: 1000;
    box-shadow: inset 0px 3px 3px #E3E3E3, inset 0px -3px 3px #E3E3E3;
}

.header-content {
    display: flex;
    align-items: center;
    justify-content: space-between;
    max-width: 100%;
}

.hamburger {
    display: none;
    flex-direction: column;
    justify-content: space-around;
    height: 24px;
    cursor: pointer;
    margin-right: 16px;
}

.hamburger span {
    display: block;
    width: 25px;
    height: 3px;
    background-color: #333;
    border-radius: 2px;
}

.logo img {
    max-width: 150px;
    height: auto;
}

/* Navegação */
nav {
    display: flex;
    align-items: center;
    gap: 30px;
    flex-wrap: wrap;
}

nav a {
    color: #333;
    text-decoration: none;
    font-weight: 400;
    transition: color 0.3s ease;
}

nav a:hover {
    color: #FF564D;
}

/* Menu overlay - só aparece em dispositivos móveis */
.menu-overlay {
    display: none; /* Esconder em desktops e telas maiores */
}

@media (max-width: 768px) {
    .menu-overlay {
        display: flex; /* Mostrar o menu overlay */
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh; /* Garante que o menu ocupe a altura total da tela */
        background-color: white;
        transform: translateY(-100%);
        transition: transform 0.3s ease-in-out;
        z-index: 2000;
        flex-direction: column;
        justify-content: flex-start;
        padding: 50px 20px;
        box-sizing: border-box;
        overflow-y: auto; /* Permite rolagem se necessário */
    }

    /* Esconder o menu principal de navegação */
    nav {
        display: none;
    }

    /* Mostrar o botão hamburger */
    .hamburger {
        display: flex;
    }

    .menu-overlay nav {
        display: flex;
        flex-direction: column;
        width: 100%;
    }

    .menu-overlay nav a {
        color: #333;
        text-decoration: none;
        margin: 15px 0;
        font-size: 1.5em;
    }
}

.close-menu {
    position: absolute;
    top: 20px;
    left: 20px;
    font-size: 2em;
    cursor: pointer;
}

/* Estilos específicos para a primeira seção */
#para-voce {
    background-color: #FFFFFF;
    text-align: left;
    padding-top: 60px;
    padding-bottom: 60px;
    box-sizing: border-box;
}

#para-voce .content {
    display: flex;
    justify-content: space-between;
    align-items: stretch;
    max-width: 1200px;
    margin-top: 0px;
    padding-top: 0px;
    height: auto; /* Permitir que a altura da seção se ajuste ao conteúdo */
    overflow: visible;
}

#para-voce .text-content {
    max-width: 40%; /* Mantém a largura máxima para a seção de texto */
    margin: 0;
    padding: 16px 8px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    max-height: none; /* Remover qualquer restrição de altura */
    overflow: visible;
    box-sizing: border-box;
    word-wrap: break-word;
}

#para-voce .text-content img {
    max-width: 200px;
    height: auto;
}
#para-voce .buttons {
    display: flex;
    justify-content: flex-start;
    gap: 10px;
}

#para-voce h1 {
    font-size: 1.8em;
    font-weight: 400;
    margin-bottom: 8px;
    margin-top: 4px;
    color: #333;
}

#para-voce .highlight {
    font-weight: 800;
    color: #FF564D;
    display: inline-block;
    position: relative;
}

#para-voce .highlight::after {
    content: '';
    position: absolute;
    right: -5px;
    width: 2px;
    height: 100%;
    background-color: black;
    animation: blink 0.7s steps(1) infinite;
    font-weight: 100;
}

@keyframes blink {
    50% {
        opacity: 0;
    }
}

#para-voce .subtitle {
    font-size: 1em;
    color: #333;
    margin-bottom: 30px;
}

#para-voce .video-content {
    width: 50%; /* Garantir que o vídeo mantenha sua largura original */
    height: auto; /* Altura se ajusta ao conteúdo */
    max-width: 700px; /* Limitar a largura máxima do vídeo */
    margin: 0;
    padding: 0;
    display: flex;
    align-items: center; /* Centralizar o vídeo verticalmente */
    justify-content: center;
}

#para-voce .video-content iframe {
    width: 100%;
    height: 100%;
    border-radius: 0;
    object-fit: cover; /* O vídeo se ajusta ao contêiner */
    object-position: center;
}

/* Estilos específicos para a seção "Como funciona" */
#como-funciona {
    background-color: #011625;
    text-align: left;
    padding: 60px 0px;
    box-sizing: border-box;
}

#como-funciona .header-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 32px;
    max-width: 100%;
    flex-wrap: wrap;
}

#como-funciona .text-container {
    max-width: 60%;
}

#como-funciona h1 {
    font-size: 1.8em;
    font-weight: 400;
    margin-bottom: 8px;
    color: #FFFFFF;
}

#como-funciona .subtitle {
    font-size: 1em;
    color: #FFFFFF;
    margin-bottom: 10px;
}

#como-funciona .button-container {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    max-width: 50%;
}

#como-funciona .button-container .btn-primary {
    background-color: #FF564D;
    color: white;
    padding: 12px 25px;
    text-decoration: none;
    font-weight: 400;
    border-radius: 25px;
    text-align: center;
    display: inline-block;
    transition: background-color 0.3s ease;
    outline: none;
    border: none;
}

#como-funciona .button-container .btn-primary:hover {
    background-color: #e04c44;
}

/* Estilos Responsivos */
@media (max-width: 768px) {
    #como-funciona .header-content {
        flex-direction: column;
        align-items: flex-start;
    }

    #como-funciona .text-container, 
    #como-funciona .button-container {
        max-width: 100%;
    }

    #como-funciona .button-container {
        margin-top: 20px;
        justify-content: flex-start;
    }
}

.steps {
    display: flex;
    justify-content: space-between;
    max-width: 1200px;
    margin: 0 auto;
    gap: 30px;
    flex-wrap: wrap;
}

.step {
    background-color: #051F32;
    padding: 5px;
    border-radius: 10px;
    flex: 1 1 calc(23% - 30px);
    text-align: left;
    cursor: default;
    transform: scale(1);
    opacity: 1;
    transition: transform 0.3s ease, opacity 0.3s ease;
}

.image-container {
    position: relative;
    margin-bottom: 0px;
    overflow: hidden;
}

.step img {
    width: 100%;
    height: 180px;
    object-fit: cover;
    border-radius: 10px;
}

.step-number {
    position: absolute;
    bottom: 20px;
    left: 10px;
    background-color: #222222;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1em;
    font-weight: 400;
    color: #FFFFFF;
}

.step p {
    font-size: 1em;
    color: #FFFFFF;
    padding: 10px;
}

.whatsapp-link {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    color: #25D366;
    font-size: 0.9em;
    font-weight: 400;
    position: relative;
    margin-top: 10px;
    text-decoration: none;
}

.whatsapp-link:hover {
    text-decoration: underline;
}

.whatsapp-icon {
    width: 24px;
    height: 24px;
    margin-left: 5px;
}

/* Estado 1 (padrão) */
.steps .step {
    transform: scale(1);
    opacity: 1;
}

/* Estado 2 (mouse over) */
.steps .step:hover {
    transform: scale(1.15);
    z-index: 1;
    opacity: 1;
}

.steps .step:hover .step-number {
    box-shadow: 0 0 10px #FF564D;
}

/* Estado 3 (os outros enquanto um está no estado 2) */
.steps .step:hover ~ .step,
.steps .step:hover ~ .step ~ .step,
.steps .step:hover ~ .step ~ .step ~ .step {
    transform: scale(0.85);
    opacity: 0.6;
}

/* Lojas */
#lojas {
    padding: 60px 32px;
    display: flex;
    flex-direction: row;
    height: 600px;
    background-color: #FFFFFF;
    gap: 20px;
    max-width: 1200px;
    margin: 0 auto;
}

#lojas h1 {
    font-size: 1.8em;
    font-weight: 400;
    margin-bottom: 8px;
    margin-top: 20px;
    color: #333;
}

.lojas-coluna-esquerda {
    width: 40%;
    display: flex;
    flex-direction: column;
    position: relative;
}

.lojas-coluna-direita {
    width: 60%;
    position: relative;
}

.filtros-fixos .filtros {
    display: flex;
    gap: 20px;
    align-items: center;
}

.filtros-fixos select {
    padding: 10px 15px;
    font-size: 1em;
    border: 1px solid #333;
    border-radius: 4px;
    background-color: #FFF;
    color: #011625;
    font-family: 'Montserrat', sans-serif;
    width: 100%;
    max-width: 200px;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-image: url('https://fonts.gstatic.com/s/i/materialiconsoutlined/arrow_drop_down/v9/24px.svg');
    background-repeat: no-repeat;
    background-position: right 10px center;
    background-size: 24px;
}


.filtros-fixos select:disabled {
    opacity: 0.5;
    cursor: not-allowed;
    background-color: #F0F0F0;
    border: 1px solid #CCC;
}

.filtros-fixos label {
    font-weight: 600;
    color: #011625;
    font-size: 0.9em;
    margin-right: 10px;
}

.lista-lojas-wrapper {
    flex: 1;
    overflow-y: scroll;
    padding-right: 10px;
}

.lista-lojas-wrapper::-webkit-scrollbar {
    width: 8px;
}

.lista-lojas-wrapper::-webkit-scrollbar-thumb {
    background-color: #FF564D;
    border-radius: 4px;
}

#mapa-lojas {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    height: 100%;
    width: 100%;
    z-index: 0;
    border-radius: 10px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
}

#lista-lojas {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

#lista-lojas h2 {
    font-size: 1.8em;
    font-weight: 400;
    color: #333;
    margin-bottom: 20px;
    margin-top: 20px;
}

#lista-lojas h3 {
    font-size: 1.4em;
    font-weight: 700;
    color: #333;
    margin-bottom: 0px;
    margin-top: 20px;
}

#lista-lojas h4 {
    font-size: 1.2em;
    color: #011625;
    font-weight: 400;
    margin-top: 0px;
    margin-left: 20px;
}

#lista-lojas li {
    margin-bottom: 15px;
    padding: 15px;
    background-color: #FFFFFF;
    border-bottom: 1px solid #E0E0E0; /* Linha cinza clara para separar as lojas */
    font-family: 'Montserrat', sans-serif;
    color: #333;
    transition: background-color 0.3s ease;
    position: relative;
}

#lista-lojas li:hover {
    background-color: #F9F9F9;
}

.loja-header {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.loja-icon {
    width: 24px; /* Ícone da Motorola menor */
    height: 24px;
    margin-right: 10px;
}

.loja-nome {
    font-size: 1.2em;
    font-weight: 700;
    color: #011625;
}

#lista-lojas p {
    font-size: 0.9em;
    color: #666;
    margin: 5px 0;
}

.loja-botoes {
    display: flex;
    justify-content: space-between;
    margin-top: 10px;
}

.btn-route {
    padding: 10px 15px;
    background-color: white;
    color: #333;
    border: 2px solid #ccc;
    border-radius: 25px;
    text-align: center;
    font-size: 0.9em;
    text-decoration: none;
    transition: border-color 0.3s ease, color 0.3s ease;
}

.btn-route:hover {
    border-color: #FF564D;
    color: #FF564D;
    background-color: transparent; /* Remove o fundo verde */
}

.whatsapp-link {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    color: #25D366;
    font-size: 0.9em;
    font-weight: 400;
    position: absolute;
    right: 15px;
    bottom: 15px;
    text-decoration: none;
}

.whatsapp-link:hover {
    text-decoration: underline;
}

.whatsapp-icon {
    width: 24px;
    height: 24px;
    margin-left: 5px;
}

/* Seção de Depoimentos */
#depoimentos {
    background-color: #f9f9f9; /* Fundo cinza claro */
    padding: 60px 32px;
    text-align: center;
}

#depoimentos h1 {
    font-size: 1.8em;
    font-weight: 700;
    color: #333;
    margin-bottom: 32px;
}

.depoimentos-grid {
    display: flex;
    justify-content: space-between;
    gap: 20px;
    max-width: 1200px;
    margin: 0 auto;
}

.depoimento {
    flex: 1;
    padding: 20px;
    background-color: white;
    border-radius: 10px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2); /* Ajuste na sombra para evitar cortes */
    text-align: left;
    margin-bottom: 20px;
    position: relative; /* Para posicionar as estrelas */
}

.cliente-info {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.avatar {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    margin-right: 15px;
}

.cliente-detalhes {
    display: flex;
    flex-direction: column;
}

.cliente-detalhes strong {
    font-size: 1.2em;
    font-weight: 700;
    color: #000;
}

.cliente-detalhes span {
    font-size: 1em;
    color: #000;
}

.estrelas {
    font-size: 1em;
    color: #FF564D; /* Tom de vermelho usado para destaques */
    position: absolute;
    top: 20px;
    right: 20px; /* Posiciona as estrelas no canto superior direito */
}

.depoimento p {
    font-size: 0.9em;
    color: #666;
    margin-top: 15px;
}

/* Estilos Responsivos */
@media (max-width: 768px) {
    .depoimentos-grid {
        flex-direction: column;
        gap: 20px;
    }

    .depoimento {
        margin-bottom: 20px;
    }
}

#ajuda {
    padding: 60px 32px;
    background-color: #f4f4f4;
    text-align: left;
    box-sizing: border-box;
}

#ajuda .content {
    max-width: 1200px;
    margin: 0 auto;
}

#ajuda h1 {
    font-size: 1.8em;
    font-weight: 700;
    color: #333;
    margin-bottom: 32px;
    text-align: center;
}

.faq-item {
    margin-bottom: 20px;
    padding: 20px;
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    max-width: 800px;
    margin-left: auto;
    margin-right: auto;
}

.faq-question {
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
    font-weight: 700;
    color: #333;
}

.faq-toggle {
    background-color: #fff;
    border: 2px solid #ccc;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    font-weight: 700;
}

.faq-toggle.active {
    background-color: #FF564D;
    color: #fff;
}

.faq-answer {
    margin-top: 10px;
    padding-top: 10px;
    border-top: 1px solid #eee;
    color: #666;
}

#load-more {
    display: block;
    margin: 20px auto;
    padding: 12px 25px;
    font-weight: 400;
    border-radius: 25px;
    text-align: center;
    background-color: #fff;
    color: #333;
    border: 2px solid #ccc;
    transition: background-color 0.3s ease;
    cursor: pointer; /* Garante o cursor de clique */
}

#load-more:hover {
    border-color: #FF564D;
    color: #FF564D;
}

footer {
    background-color: #000;
    color: #fff;
    padding: 20px 0px;
    text-align: left;
}

.footer-content {
    display: flex;
    justify-content: space-between;
    max-width: 1200px;
    margin: 0 auto;
    flex-wrap: wrap; /* Permite que os itens se ajustem em várias linhas */
}

.footer-section {
    flex: 1 1 30%; /* Ajusta o tamanho das seções e permite que ocupem uma largura mínima */
    padding: 20px;
    min-width: 200px; /* Define uma largura mínima para evitar que as seções fiquem muito pequenas */
    box-sizing: border-box;
}

.footer-logo-container {
    text-align: center; /* Centraliza o logo */
}

.footer-logo {
    width: 140px; /* Mantém o tamanho original do logo */
    filter: invert(100%);
}

.footer-section h2 {
    font-size: 1.2em;
    font-weight: 700;
    margin-bottom: 10px;
}

.footer-section p {
    margin: 10px 0;
}

.footer-section ul {
    list-style: none;
    padding: 0;
}

.footer-section ul li {
    margin-bottom: 8px;
}

.footer-section ul li a,
.footer-section .contact a {
    color: #fff;
    text-decoration: none;
    transition: color 0.3s ease;
}

.footer-section ul li a:hover,
.footer-section .contact a:hover {
    color: #FF564D;
    text-decoration: underline;
}

.socials {
    display: flex;
    justify-content: center; /* Centraliza os ícones sociais */
    gap: 20px;
}

.socials a img {
    width: 24px;
    height: 24px;
    filter: invert(100%) brightness(200%);
}

.footer-bottom {
    text-align: center;
    padding: 20px;
    border-top: 1px solid #333;
    margin-top: 20px;
}

/* Estilos Responsivos */
@media (max-width: 768px) {
    .footer-content {
        flex-direction: column; /* Organiza as seções em uma única coluna */
        align-items: center; /* Centraliza o conteúdo */
    }

    .footer-section {
        flex: 1 1 100%; /* Faz com que as seções ocupem 100% da largura na visualização mobile */
        padding: 10px 20px; /* Ajusta o padding para uma melhor exibição em telas menores */
        text-align: center; /* Centraliza o texto nas seções */
    }

    .footer-logo-container {
        margin-bottom: 20px; /* Adiciona espaçamento abaixo do logo */
    }

    .socials {
        margin-top: 10px; /* Adiciona um espaço acima dos ícones sociais */
    }
}





/* Sessões de conteúdo */
section {
    width: 100%;
    box-sizing: border-box;
    overflow-x: hidden;
}

section .content {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
    box-sizing: border-box;
}

h1, h2 {
    font-size: 1.5em;
    margin-bottom: 10px;
}

p {
    font-size: 1em;
    margin-bottom: 20px;
}

/* Estilos Responsivos */
@media (max-width: 768px) {
    .hamburger {
        display: flex;
    }

    nav {
        display: none;
    }

    h1, h2 {
        font-size: 1.2em;
    }

    p {
        font-size: 0.9em;
    }

    section .content {
        padding: 24px;
    }

    #para-voce .content {
        flex-direction: column;
        height: auto;
    }

    #para-voce .text-content {
        max-width: 100%;
        padding-bottom: 20px;
    }

    #para-voce .video-content {
        width: 100%;
        height: 300px;
    }
    
    #para-voce .buttons {
        flex-direction: column; /* Coloca os botões um abaixo do outro */
        gap: 20px; /* Aumenta o espaçamento entre os botões */
    }

    .steps {
        flex-wrap: wrap;
    }

    .step {
        flex: 1 1 calc(50% - 30px);
        margin-bottom: 20px;
    }

    /* Alterações para a seção 'Lojas' */
    #lojas {
        flex-direction: column;
    }

    .lojas-coluna-esquerda, .lojas-coluna-direita {
        width: 100%;
    }

    #mapa-lojas {
        display: none;
    }
}